# Request token(s)

Generate a secure, temporary token for use with Melissa Cloud APIs.

Endpoint: GET /RequestToken

## Query parameters:

  - `IP` (string)
    This is added security.
Specifying an IP Address for tokens will require that any service using the generated token must be sent from the same encoded IP Address.

A mismatch between the encoded token IP Address and the client IP Address will result in a `GE13` error.

  - `L` (string, required)
    *Required*. The [License Key](https://docs.melissa.com/melissa/license/license-information.html) issued by Melissa.

  - `P` (string, required)
    *Required*. Specifies which package(s) the token should be generated for. Delimit multiple packages with a comma `,`.
**Default** is all packages.

<details>
<summary>Cicero</summary>

- `CiceroAPI`
- `CiceroAPI-Region`
</details>

<details>
<summary>Contribution</summary>

- `Contribution-Contribution`
</details>

<details>
<summary>Data Retriever</summary>

- `DataRetriever-Business`
- `DataRetriever-Consumer`
- `DataRetriever-ConsumerTwo`
- `DataRetriever-MAK`
- `DataRetriever-NewHomeowners`
- `DataRetriever-NewMovers`
</details>

<details>
<summary>Druginator</summary>

- `Druginator`
</details>

<details>
<summary>Global Address Verification</summary>

- `GlobalAddressVerification`
- `GlobalAddressVerification-Geocode`
</details>

<details>
<summary>Global Email</summary>

- `GlobalEmail`
- `GlobalEmail-Premium`
</details>

<details>
<summary>Global Express Entry</summary>

- `GlobalExpressEntry`
- `GlobalExpressEntry-Geocode`
</details>

<details>
<summary>Global IP</summary>

- `GlobalIP`
</details>

<details>
<summary>Global Name</summary>

- `GlobalName`
</details>

<details>
<summary>Global Phone</summary>

- `GlobalPhone`
- `GlobalPhone-CallerID`
- `GlobalPhone-GlobalPremium`
- `GlobalPhone-NAPremium`
</details>

<details>
<summary>IP To Consumer</summary>

- `IPToConsumer`
</details>

<details>
<summary>LeadGen</summary>

- `LeadGen-Business`
- `LeadGen-GlobalAddressDatabase`
</details>

<details>
<summary>People Business Search</summary>

- `PeopleBusinessSearch`
</details>

<details>
<summary>Personator Consumer</summary>

- `PersonatorConsumer`
- `PersonatorConsumer-Append`
- `PersonatorConsumer-Demographics`
- `PersonatorConsumer-GeoCode`
- `PersonatorConsumer-GeoPoint`
- `PersonatorConsumer-Move`
- `PersonatorConsumer-Verify`
</details>

<details>
<summary>Personator Identity</summary>

- `PersonatorIdentity`
- `PersonatorIdentity-Verify`
- `PersonatorIdentity-Watchlist`
</details>

<details>
<summary>Personator Search</summary>

- `PersonatorSearch`
</details>

<details>
<summary>Property</summary>

- `Property`
- `Property-Shapes`
</details>

<details>
<summary>Reverse GeoCoder</summary>

- `ReverseGeoCoder`
- `ReverseGeoCoder-Geocoder`
</details>

<details>
<summary>SmartMover</summary>

- `SmartMover-Canada`
- `SmartMover-UnitedStates`
</details>

<details>
<summary>SSN Name Match</summary>

- `SSNNameMatch`
</details>

<details>
<summary>Street Route</summary>

- `StreetRoute`
</details>

<details>
<summary>Vault</summary>

- `Vault`
</details>

<details>
<summary>WebSmart</summary>

- `WebSmart-AddressCheck`
- `WebSmart-DeliveryIndicator`
- `WebSmart-DPV`
- `WebSmart-Email`
- `WebSmart-Geocode`
- `WebSmart-GeoPoint`
- `WebSmart-MultipleRecords`
- `WebSmart-Name`
- `WebSmart-Phone`
- `WebSmart-StreetData`
- `WebSmart-ZipSearch`
</details>

<details>
<summary>US Business Coder</summary>

  - `BusinessCoder`
  - `BusinessCoder-Contacts`
</details>

  - `TS` (string)
    Token timespan in the `HHMM` format. The minimum lifespan is 1 minute (`0001`), maximum is 99 hours (`9900`). **Default** is 5 minutes (`0005`).

## Header parameters:

  - `Accept` (string, required)
    Format of the response.

  - `Content-Type` (string, required)
    Format of the request.

## Response 200:

  - `200` (unknown)
    Token Server Response

## Response 200 fields (application/json):

  - `Result` (string)
    Result codes indicating any errors with the request.

  - `Token` (string)
    The requested token to be used.

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.

## Response 200 examples:

  - `default` (unknown)

